aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/qtci-linux-SLES-12-x86_64/08-pythondev.sh
diff options
context:
space:
mode:
authorSimo Fält <simo.falt@qt.io>2021-10-05 14:01:39 +0300
committerSimo Fält <simo.falt@qt.io>2021-10-05 14:01:39 +0300
commit6a0591da9aa3ac6dbbf7990d2ac0aa2e202ee31a (patch)
treec4beb32d6d57a45adc841fb048328d17b532ef93 /coin/provisioning/qtci-linux-SLES-12-x86_64/08-pythondev.sh
parentfce0a7806786746c5aed70e3cc7ad0a6091fb8a3 (diff)
parent0253936025da524ab8a510cad65fc9243b48dc6f (diff)
Merge remote-tracking branch 'origin/ifw-5.12.10' into ifw-5.12.11ifw-5.12.11
Diffstat (limited to 'coin/provisioning/qtci-linux-SLES-12-x86_64/08-pythondev.sh')
-rwxr-xr-xcoin/provisioning/qtci-linux-SLES-12-x86_64/08-pythondev.sh45
1 files changed, 39 insertions, 6 deletions
diff --git a/coin/provisioning/qtci-linux-SLES-12-x86_64/08-pythondev.sh b/coin/provisioning/qtci-linux-SLES-12-x86_64/08-pythondev.sh
index cc9385e9..ab35a009 100755
--- a/coin/provisioning/qtci-linux-SLES-12-x86_64/08-pythondev.sh
+++ b/coin/provisioning/qtci-linux-SLES-12-x86_64/08-pythondev.sh
@@ -2,7 +2,7 @@
#############################################################################
##
-## Copyright (C) 2019 The Qt Company Ltd.
+## Copyright (C) 2018 The Qt Company Ltd.
## Contact: http://www.qt.io/licensing/
##
## This file is part of the provisioning scripts of the Qt Toolkit.
@@ -41,12 +41,45 @@ set -ex
sudo zypper -nq install python-devel
-wget -q https://raw.githubusercontent.com/linux-on-ibm-z/scripts/master/Python3/build_python3.sh
-sed -i 's/12.3/12.4/g' build_python3.sh
-bash build_python3.sh
+# Selected installation instructions coming from:
+# https://raw.githubusercontent.com/linux-on-ibm-z/scripts/master/Python3/build_python3.sh
+export PACKAGE_NAME="python"
+export PACKAGE_VERSION="3.7.2"
+(
-export
-python3 --version
+ sudo zypper install -y gcc gcc-c++ make ncurses patch wget tar zlib-devel zlib libffi-devel libopenssl-devel
+
+ printf -- 'Configuration and Installation started \n'
+
+ #Downloading Source code
+ wget "https://www.python.org/ftp/${PACKAGE_NAME}/${PACKAGE_VERSION}/Python-${PACKAGE_VERSION}.tar.xz"
+ tar -xvf "Python-${PACKAGE_VERSION}.tar.xz"
+
+ #Configure and Build
+ cd "Python-${PACKAGE_VERSION}"
+ ./configure --prefix=/usr/local --exec-prefix=/usr/local
+ make
+ sudo make install
+
+ export PATH="/usr/local/bin:${PATH}"
+ printf -- '\nInstalled python successfully \n'
+
+ #Cleanup
+ cd -
+ rm "Python-${PACKAGE_VERSION}.tar.xz"
+
+ #Verify python installation
+ if command -V "$PACKAGE_NAME"${PACKAGE_VERSION:0:1} >/dev/null
+ then
+ printf -- "%s installation completed. Please check the Usage to start the service.\n" "$PACKAGE_NAME"
+ else
+ printf -- "Error while installing %s, exiting with 127 \n" "$PACKAGE_NAME"
+ exit 127
+ fi
+)
+
+
+python3 --version | fgrep "$PACKAGE_VERSION"
pip3 install --user wheel
pip3 install --user virtualenv